Bug 86328 - apmd does not work on HP ZE4220
Summary: apmd does not work on HP ZE4220
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel   
(Show other bugs)
Version: phoebe
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-19 20:50 UTC by Shaun Carter
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-24 02:38:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of dmesg after boot (8.32 KB, text/plain)
2003-03-21 00:12 UTC, Shaun Carter
no flags Details

Description Shaun Carter 2003-03-19 20:50:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
Both battery monitors (KDE & Gnome) are not working.  KLaptop reports

Your computer doesn't have the Linux APM (Advanced Power Management) or ACPI
software installed, or doesn't have the APM kernel drivers installed - check out
the Linux Laptop-HOWTO document for information on how to install APM.

rpm -q apmd
apmd-3.0.2-15
rpm -qa|grep kernel
kernel-source-2.4.20-2.48
kernel-2.4.20-2.48
kernel-pcmcia-cs-3.1.31-13

Version-Release number of selected component (if applicable):
apmd-3.0.2-15

How reproducible:
Always

Steps to Reproduce:
1. install Phoebe with any kernel
2. boot up
    

Actual Results:  battery monitor does not show current charge and says apmd is
not installed.

Expected Results:  battery monitor should show current charge and recognize apmd

Additional info:

HP Pavilion ZE4220

Comment 1 Bill Nottingham 2003-03-20 21:44:05 UTC
If it can't read the battery status at all, that's a kernel or BIOS bug. What's
the output of 'dmesg' when booting?

Comment 2 Shaun Carter 2003-03-21 00:09:54 UTC
dmesg during boot?  I can get you the output of dmesg _after_ boot, is that what
you're requesting.  

Sorry if I got the wrong component here, I figured snice KLaptop was saying apmd
wasn't even installed that it may land here.

I have also  upgrade to kernel-2.4.20-2.54.  No change.

Attached  below is the dmesg output _after_ boot.

Comment 3 Shaun Carter 2003-03-21 00:12:55 UTC
Created attachment 90682 [details]
output of dmesg after boot

Comment 4 Arjan van de Ven 2003-03-21 12:50:00 UTC
from the log:
apm: BIOS not found.

so there's no way to show apm battery status, your bios doesn't support it.

Comment 5 Shaun Carter 2003-03-21 14:00:48 UTC
well that would do it, didn't notice that earlier, sorry.  I'll reflash as soon
as I can get a hold of a USB floppy or figure out how to get the bios bootable
diskette burned to CD.


Note You need to log in before you can comment on or make changes to this bug.